#ifndef DB_RECORDS_H
#define DB_RECORDS_H

#ifdef __cplusplus
extern "C"
{
#endif

    int open_records_db();

    void close_records_db();

    int add_record(const char* user_id, int problems_id, const char* data);

    int add_record_ac(const char* user_id, int problems_id, const char* answer);

    int add_record_wa(const char* user_id, int problems_id, const char* answer);

    int add_record_uke(const char* user_id, int problems_id, const char* answer);

    int get_record(int id, char** result);

    int all_records_by(const char* user_id, char** result);

    int all_records_of(int problems_id, char** result);

    int records_count();

#ifdef __cplusplus
}
#endif

#endif