#ifndef SERVER_CONFIG_H
#define SERVER_CONFIG_H

#include <stdbool.h>

typedef struct
{
    int server_port;
    char* secret;
} config_t;

void config_ctor(config_t* this);
void config_dtor(config_t* this);

bool config_read(config_t* this, const char* filename);

int print_config();

#endif // SERVER_CONFIG_H
